List Archive: gentoo-alt
1.1 |
On Thu, 2008-07-17 at 11:52 -0500, Greg wrote:
>
> Jeremy Olexa wrote:
>
> >On Thu, Jul 17, 2008 at 11:11 AM, Greg <trigggl@...> wrote:
> >
> >
> >
> >>Out of pure optimism, I'm trying to install mplayer. I doubt it will work,
> >>but I'm going to try. I've been using --nodeps on a package by package
> >>
> >>
> >
> >Very optimistic. =)
Indeed!
> >
> >
> Detected operating system: AIX
> Detected host architecture: UNKNOWN
> Checking for powerpc-ibm-aix5.2.0.0-gcc version ... 4.2.4
> Checking for host cc ... powerpc-ibm-aix5.2.0.0-gcc
> Checking for cross compilation ... no
> The architecture of your CPU (UNKNOWN) is not supported by this
> configure script
This is the important message:
> It seems nobody has ported MPlayer to your OS or CPU type yet.
Noone has used mplayer on aix yet, or at least not reported back the
necessary changes upstream.
>
> Error: unsupported architecture UNKNOWN
>
>
> Is this a show-stopper?
Yes.
> Or can I somehow force it to a known/correct
> CPU type?
Maybe yes, if you find out how to add AIX-support to mplayer (itself,
not the ebuild only).
> Can't find the offending package. Whatever it is, it's has something to
> do with x11. Mplayer doesn't pull it in.
It is the x-modular.eclass pulling in either binutils or odcctools.
You might want to allow sys-devel/native-cctools too to suffice the
binutils dependency. IFF that really works, we can commit something like
this:
--- eclass/x-modular.eclass (revision 27855)
+++ eclass/x-modular.eclass (working copy)
- || ( >=sys-devel/binutils-2.16.1-r3 sys-devel/odcctools )"
+ || ( >=sys-devel/binutils-2.16.1-r3 sys-devel/odcctools sys-devel/native-cctools )"
But please note:
While we can install many packages on AIX, we still do not emulate some
sort of Desktop-PC on top of AIX - it's still AIX after all.
We only can install software that has been "designed" (even if not
explicitly) to work on AIX (or "any flavour of Unix") too.
/haubi/
--
Michael Haubenwallner
Gentoo on a different level
|
|